Load Draft

This endpoint is called when Augment's load building agent has assembled a load draft and is ready to create a load in the TMS.

Augment will POST to {baseUrl}/{shipperId}/load-drafts, where {baseUrl} is the URL configured for your integration and {shipperId} is the ID of the shipper associated with the load in the TMS.

The TMS should use the load draft data to create a new load and return the assigned load number in the response.

Body
required
application/json

Load draft payload containing all information needed to create a load in the TMS.

  • customerInformation
    Type: object

    Shipper and billing information.

  • documentDates
    Type: array string[]

    ISO 8601 date strings associated with documents on the load (e.g. BOL date, delivery date)

  • loadDetails
    Type: object

    Commodity and cargo details.

  • loadRequirements
    Type: object

    Equipment and service requirements.

  • rates
    Type: object

    Pricing information for the load.

  • referenceNumbers
    Type: object

    Customer reference numbers associated with the load.

  • stops
    Type: array object[]

    Ordered list of pickup and delivery stops on the load.

Responses
  • application/json
Request Example for post/callback/load-draft
curl https://api.prod.goaugment.com/callback/load-draft \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "referenceNumbers": {
    "shipmentNumber": "",
    "customerReferenceNumber": "",
    "customerLoadNumber": "",
    "releaseNumber": "",
    "bolNumber": "",
    "poNumber": "",
    "proNumber": "",
    "driverNumber": "",
    "tractorNumber": "",
    "trailerNumber": "",
    "others": [
      {
        "type": "",
        "value": ""
      }
    ]
  },
  "customerInformation": {
    "name": "",
    "contact": {
      "email": "",
      "phone": ""
    },
    "address": {
      "name": "",
      "streetAddress": "",
      "city": "",
      "state": "",
      "zip": "",
      "country": "US"
    },
    "notes": "",
    "internalNotes": "",
    "shipperId": "",
    "divisionTerm": ""
  },
  "stops": [
    {
      "stopNumber": 1,
      "stopType": "PICKUP",
      "referenceNumber": "",
      "facilityName": "",
      "facilityCode": "",
      "facilityAddress": {
        "name": "",
        "streetAddress": "",
        "city": "",
        "state": "",
        "zip": "",
        "country": "US"
      },
      "facilityContact": {
        "email": "",
        "phone": ""
      },
      "handlingType": "LIVE",
      "appointmentType": "APPOINTMENT",
      "appointmentTime": {
        "start": "",
        "end": "",
        "timezone": ""
      },
      "dropTime": {
        "start": "",
        "end": "",
        "timezone": ""
      },
      "driverInstructions": "",
      "notes": "",
      "internalNotes": "",
      "shippingHours": "",
      "receivingHours": "",
      "operatingHours": "",
      "timezone": ""
    }
  ],
  "loadDetails": {
    "handlingUnit": {
      "unitType": "PALLET",
      "unitCount": ""
    },
    "packagingUnit": {
      "unitType": "PALLET",
      "unitCount": ""
    },
    "commodity": "",
    "description": "",
    "dimensions": {
      "length": "",
      "lengthUnit": "IN",
      "width": "",
      "widthUnit": "IN",
      "height": "",
      "heightUnit": "IN",
      "volume": "",
      "volumeUnit": "CUFT"
    },
    "weight": {
      "value": "",
      "unit": "LBS"
    },
    "valueAmount": {
      "value": "",
      "unit": "USD"
    },
    "cargoCharacteristics": {
      "stackable": true,
      "hazmat": true,
      "perishable": true
    }
  },
  "loadRequirements": {
    "mode": "FTL",
    "loadType": "SPOT",
    "equipment": {
      "equipmentType": "DRY_VAN",
      "size": "",
      "unit": ""
    },
    "additionalRequiredServices": [
      ""
    ],
    "tarpSize": null,
    "temperatureRequirement": {
      "required": true,
      "hasBulkhead": true,
      "zones": [
        {
          "zoneId": "",
          "minTemp": {
            "value": 1,
            "unit": "F"
          },
          "maxTemp": {
            "value": 1,
            "unit": "F"
          }
        }
      ]
    }
  },
  "rates": {
    "baseRate": "",
    "lineHaul": "",
    "accessorials": [
      {
        "type": "",
        "rate": ""
      }
    ],
    "totalRate": "",
    "collectionMethod": "PrePaid"
  },
  "documentDates": [
    ""
  ]
}'
{
  "loadNum": "LOAD-12345",
  "message": "Load created successfully"
}